Bug 211784 - compiz half-working with x86_64 kernel and nvidia driver with GeForce FX 5200
compiz half-working with x86_64 kernel and nvidia driver with GeForce FX 5200
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2006-10-22 15:42 EDT by Yves L'ECUYER
Modified: 2008-01-15 09:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 09:40:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yves L'ECUYER 2006-10-22 15:42:14 EDT
Description of problem:
When compiz is launched (with --replace gconf) thereis NO MORE DECORATION around
my opened Windows

Version-Release number of selected component (if applicable):

nvidia-x11-drv-1.0.9626-1 ( from freshrpms ;the only wich compile with the
standard kernel: 2.6.18-1.2798.fc6 environment ,to take in charge my graphic card:
nVidia Corporation NV34 [GeForce FX 5200]

How reproducible:

under GNOME or KDE environment always
I try it also with a previous kernel 2.6.16 from Fedora site, compiled from
source, ==> same bug

Steps to Reproduce:
1.menu: desktop-effect or compiz --replace
Actual results:
Then moving the cube with OpenGL, rain and so on, is possible
BUT there is no more decoration to move or resize the application windows !!!

Expected results:

to manages (move and resize) the windows

Additional info:
Comment 1 Lukas Slansky 2006-10-25 15:43:58 EDT
I have the same problem. After enabling Desktop Efects windows decorations
disapears. Tested on FC6 on Gnome with nvidia 9626 drivers.

Comment 2 Lukas Slansky 2006-10-25 15:55:13 EDT
Eeee, I have found solution on
Comment 3 Matthew Miller 2007-04-06 15:18:54 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Yves L'ECUYER 2007-04-07 05:56:03 EDT
(In reply to comment #2)
> Eeee, I have found solution on
> http://www.fedoraforum.org/forum/showpost.php?p=616211&postcount=237

This is not a solution for me. There no novelties on this site. All that are the
minimum requirement to make AIGLX working with nvidia driver. I have all what is
indicated on this site in my xorg.conf, and with that BERYL windows manager is
working correctly. But today compiz-0.0.13-0.32.20060817git.fc6 IS NOT STILL
WORKING: and yhis is currently the last version on 7 April 2007
Comment 5 Matthew Miller 2007-04-07 08:10:34 EDT
Marking FC6 as per comment #4. However, this is 1) hard for Fedora to solve
because it involves a binary-only driver and 2) an issue that probably should
best be dealt with with upstream compiz development.
Comment 6 Matěj Cepl 2007-12-10 04:24:44 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 7 Matěj Cepl 2008-01-15 09:40:09 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.